CRAN Package Check Results for Package classifierplots

Last updated on 2024-06-13 10:48:50 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.4.0 16.38 127.55 143.93 OK
r-devel-linux-x86_64-debian-gcc 1.4.0 0.36 1.76 2.12 ERROR
r-devel-linux-x86_64-fedora-clang 1.4.0 181.67 NOTE
r-devel-linux-x86_64-fedora-gcc 1.4.0 170.06 NOTE
r-devel-windows-x86_64 1.4.0 15.00 102.00 117.00 OK
r-patched-linux-x86_64 1.4.0 16.47 124.80 141.27 OK
r-release-linux-x86_64 1.4.0 10.50 122.00 132.50 OK
r-release-macos-arm64 1.4.0 46.00 OK
r-release-macos-x86_64 1.4.0 78.00 OK
r-release-windows-x86_64 1.4.0 14.00 104.00 118.00 OK
r-oldrel-macos-arm64 1.4.0 59.00 OK
r-oldrel-macos-x86_64 1.4.0 93.00 OK
r-oldrel-windows-x86_64 1.4.0 20.00 128.00 148.00 OK

Check Details

Version: 1.4.0
Check: package dependencies
Result: ERROR Packages required but not available: 'ggplot2', 'caret' Package suggested but not available for checking: ‘testthat’ See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc

Version: 1.4.0
Check: dependencies in R code
Result: NOTE Namespace in Imports field not imported from: ‘Rcpp’ All declared Imports should be used. Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc